local var1 = maximo('NDSC') or 0
local um5d = maximo('Um_Mim_5dias') or 0
local prec6h = maximo_pn('Prec_eta5km', 50) or 0
local contador = 1
local fma = 0

for contador = 1, var1, 1 do  
     fma = fma + (100 / um5d )
     contador = contador + 1
end

if prec6h <= 2.4  then
     fma = fma
   elseif prec6h <= 4.9 then
     fma = fma * 0.7
   elseif prec6h <= 9.9 then
     fma = fma * 0.4
   elseif prec6h <= 12.9 then
     fma = fma * 0.2
   else
     fma = 0
end

if fma <= 1  then
     return 0 -- Normal
   elseif fma < 3 then
     return 1 -- Observacao
   elseif fma < 8 then
     return 2 -- Atencao
   elseif fma < 20 then
     return 3 -- Alerta
   else
     return 4 -- Alerta maximo
end